// OOoVirgTrayDlg.h : header file
//
//{{AFX_INCLUDES()
//}}AFX_INCLUDES

/*
OOOVirgHook : Hook the keyboard to fix the numerica separator key.
Copyright (C) 2002 - Rmi Peyronnet <remi.peyronnet@via.ecp.fr>

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/



#if !defined(AFX_OOOVIRGTRAYDLG_H__5058D8AF_AACE_41F9_B0E1_01559C2CF517__INCLUDED_)
#define AFX_OOOVIRGTRAYDLG_H__5058D8AF_AACE_41F9_B0E1_01559C2CF517__INCLUDED_

#include "traydialog.h"

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// COOoVirgTrayDlg dialog

class COOoVirgTrayDlg : public CTrayDialog
{

// Variables
	HINSTANCE hinstDLL; 
	HOOKPROC hkprcSysMsg; 
	HHOOK hhookSysMsg; 
 
// Construction
public:
	void saveSettings();
	void readSettings();
	void UnregisterHook();
	void RegisterHook();
	COOoVirgTrayDlg(CWnd* pParent = NULL);	// standard constructor
	~COOoVirgTrayDlg();	// standard constructor
	virtual void OnTrayLButtonDblClk(CPoint pt);


// Dialog Data
	//{{AFX_DATA(COOoVirgTrayDlg)
	enum { IDD = IDD_OOOVIRGTRAY_DIALOG };
	CEdit	m_TextAboutControl;
	CTabCtrl	m_TabControl;
	CStatic	m_TitleControl;
	BOOL	m_ActClass;
	BOOL	m_ActExe;
	BOOL	m_ActTitle;
	BOOL	m_ActAll;
	CString	m_strClassName;
	CString	m_strExeName;
	CString	m_strTitre;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COOoVirgTrayDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	int hookRegistered;
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(COOoVirgTrayDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnCmdTrayShow();
	afx_msg void OnActivate();
	afx_msg void OnDesactivate();
	afx_msg void OnSaveSettings();
	afx_msg void OnHide();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OOOVIRGTRAYDLG_H__5058D8AF_AACE_41F9_B0E1_01559C2CF517__INCLUDED_)
